html {
    scroll-behavior: smooth;
}

.body {
    font-family: 'Exo 2';
    font-style: normal;
    line-height: normal;
    overflow-x: hidden;

    @media (max-width: 375px) {
        width: 375px;
    }
}

.main-scrollbar {
    &::-webkit-scrollbar {
        width: 6px;
        height: auto;
    }

    &::-webkit-scrollbar-track-piece {
        background-color: $purple;
    }

    &::-webkit-scrollbar-thumb {
        background-color: $orange;
    }
    
    scrollbar-width: 6px;
    scrollbar-color: $orange $purple;
}

.container {
    max-width: 1220px;
    margin: 0 auto;
    padding: 0 40px;

    @media (max-width: 576px) {
        padding: 0 30px;
    }

    @media (max-width: 425px) {
        padding: 0 20px;
    }
}

a, button {
    transition: 0.3s ease;
}

a:hover {
    color: $orange !important;
}

button {
    transition: 0.3s ease;

    &:hover {
        color: $orange;

        .arrow {
            path {
                color: orange;
            }
        }

        
    }
}



// background sections

section {
    position: relative;
    overflow: hidden;
    
    &:nth-child(even) {
        background-color: $blue;
    }

    &:nth-child(odd) {
        background-color: $purple;
    }

    &:nth-child(1) {
        padding-top: min(15%, 180px);
        padding-bottom: min(15%, 180px);  
    }

    &:not(:first-child) {
        padding-top: min(15%, 80px);
        padding-bottom: min(15%, 120px);
    }
}

// section title // 

.section__title {
    @include text40;
    position: relative;
    text-align: center;
    margin-bottom: min(100px, 15%);

    &:before {
        position: absolute;
        content: '';
        width: min(40%, 200px);
        height: 2px;
        bottom: -10px;
        left: 50%;
        transform: translateX(-50%);
    }
        
}

.white__title {
    color: $white;

    &:before {
        background-color: $orange;
    }
}

.orange__title {
    color: $orange;
    
    &:before {
        background-color: $white;
    }
}


